Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.jeditplugin
Interface MASLauncherInfraTier

All Superinterfaces:
  java.lang.Runnable

All Known Implementing Classes:
  CentralisedMASLauncherAnt, JadeMASLauncherAnt, SaciMASLauncherAnt

    public interface MASLauncherInfraTier

extends java.lang.Runnable

Used by the Jason IDE to launch an MAS. Each infrastructure should implements it.

The methods of this class are called in the following order:

- setProject
- setListener
- writeScripts
- stopMAS

Method Summary
`void` | `setListener(RunProjectListener listener)` Sets the object that wants to be informed about the changes in the execution state.
`void` | `setProject(MAS2JProject project)` Sets the description of the project to be run.
`void` | `stopMAS()` Stops the MAS execution.
`boolean` | `writeScripts(boolean debug)` Writes the script(s), normally Ant scripts, used to launch the MAS.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setProject

    void setProject(MAS2JProject project)

  Sets the description of the project to be run.

### setListener

    void setListener(RunProjectListener listener)

  Sets the object that wants to be informed about the changes in the execution state. This object normally is the JasonIDE, that wants to change available buttons as the project is being executed.

### writeScripts

    boolean writeScripts(boolean debug)

  Writes the script(s), normally Ant scripts, used to launch the MAS.

### stopMAS

    void stopMAS()

  Stops the MAS execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD